Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(823)

Unified Diff: sdk/bin/dart2js

Issue 1650383002: Change sdk/bin/dart2js to find an available build. (Closed) Base URL: git@github.com:dart-lang/sdk.git@master
Patch Set: Created 4 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: sdk/bin/dart2js
diff --git a/sdk/bin/dart2js b/sdk/bin/dart2js
index 988a6febfc556c158c07f5e48c29bc4df59c6102..248ab07de30f9cee3fab6f2207ae651d5c778955 100755
--- a/sdk/bin/dart2js
+++ b/sdk/bin/dart2js
@@ -52,16 +52,40 @@ DART_ROOT="$(cd "${SDK_DIR}/.." ; pwd -P)"
DART2JS="$DART_ROOT/pkg/compiler/lib/src/dart2js.dart"
+if [[ `uname` == 'Darwin' ]]; then
+ OUT_DIR="$DART_ROOT/xcodebuild/"
+else
+ OUT_DIR="$DART_ROOT/out/"
+fi
+
if [ -z "$DART_CONFIGURATION" ];
then
- DART_CONFIGURATION="ReleaseX64"
+ DIRS=$( ls "$OUT_DIR" )
+ # list of possible configurations in decreasing desirability
+ CONFIGS=("ReleaseX64" "ReleaseIA32" "DebugX64" "DebugIA32"
+ "ReleaseARM" "ReleaseARM64" "ReleaseARMV5TE" "ReleaseMIPS"
+ "DebugARM" "DebugARM64" "DebugARMV5TE" "DebugMIPS")
+ DART_CONFIGURATION="None"
+ for CONFIG in ${CONFIGS[*]}
+ do
+ for DIR in $DIRS;
+ do
+ if [ "$CONFIG" = "$DIR" ];
+ then
+ # choose most desirable configuration that is available and break
+ DART_CONFIGURATION="$DIR"
+ break 2
+ fi
+ done
+ done
+ if [ "$DART_CONFIGURATION" = "None" ]
+ then
+ echo "No valid dart configuration found in $OUT_DIR"
+ exit 1
+ fi
fi
-if [[ `uname` == 'Darwin' ]]; then
- BUILD_DIR="$DART_ROOT/xcodebuild/$DART_CONFIGURATION"
-else
- BUILD_DIR="$DART_ROOT/out/$DART_CONFIGURATION"
-fi
+BUILD_DIR="$OUT_DIR$DART_CONFIGURATION"
PACKAGE_ROOT="$BUILD_DIR/packages/"
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698